#!/usr/local/bin/tclsh8.4

set fn [lindex $argv 0]
set f [open $fn r]
set flist [split [read $f] \n]
puts "Splitting $fn"

set inlist 0
foreach line $flist {
   if {[regexp {^(WLP[0-9][0-9]*) (.*)} $line a no des]} {
      set inlist 1
      close $f
      regsub -all { } $des {_} name ; set des $name
      regsub -all {/} $des {_-} name
      set fn $no-${name}.txt
      set f [open $fn w]
      puts "   $fn ...."
      puts $f $line
   } elseif {$inlist} {
      puts $f $line
   }
}


